#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCB,0x9B,0x5F,0xBA,0x29,0x0D,0x30,0x5A,0xCF,0x0F,0x0A,0x92,
		0x7A,0x3E,0xF9,0xF0,0x97,0x6F,0x28,0x08,0xDE,0x5C,0x5D,0xD6,
		0x1C,0xC9,0xF7,0xC1,0x09,0x3F,0x90,0x38,0xB4,0xF5,0xE3,0x91,
		0x1A,0xCD,0xE0,0xC1,0x58,0x42,0x1D,0x67,0xD9,0x6D,0xDB,0x0E,
		0xE8,0x15,0x22,0x91,0x28,0xE7,0x7E,0x23,0xA2,0xA8,0xCE,0xB7,
		0xA0,0x78,0x22,0x6B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
